WordPress.org

Ready to get started?Download WordPress

Forums

WordPress SEO by Yoast
Missing argument 3 for wpseo_upgrader_process_complete (16 posts)

  1. arkhipov
    Member
    Posted 5 months ago #

    Hi

    After updating wordpress I get an error message. How can I fix it?
    Warning: Missing argument 3 for wpseo_upgrader_process_complete() in /home3/dominik/public_html/dominicanamia.com/wp-content/plugins/wordpress-seo/inc/wpseo-non-ajax-functions.php on line 259

    Thanks

    http://wordpress.org/plugins/wordpress-seo/

  2. WPyogi
    Volunteer Moderator
    Posted 5 months ago #

  3. zemonte
    Member
    Posted 5 months ago #

    Have it too.

  4. Marcelo Pedra
    Member
    Posted 5 months ago #

    Hello, same here. I noticed this error is shown everytime you upgrade anything.

  5. jrf
    Member
    Posted 5 months ago #

    Solution status update - FYI:

    I've just committed the fix - if anyone prefers not to wait for the next official version, but wants the fix **now* (at your own risk), you can download the current development version of the plugin and upload the unzipped files to your site via FTP.

  6. idogenealogy
    Member
    Posted 5 months ago #

    I also have the error. Appears on upgrade to anything. I will wait, though, for you folks to thoroughly test. It doesn't seem to keep upgrades (of anything) from "completing successfully".

  7. loudcow
    Member
    Posted 5 months ago #

    Ditto here:) Same error appears again after any plugin upgrade.

  8. jrf
    Member
    Posted 5 months ago #

    @idogenealogy true, it is nothing major and won't stop anything from working - it's only the meta description check on theme update which won't be executed.
    Oh and the fix is thoroughly tested, don't know the status for any other updates which may be in the dev version.

  9. qthornton
    Member
    Posted 5 months ago #

    Good to know because I have this issue also.

  10. abinashm
    Member
    Posted 5 months ago #

    I guess I am not the only one to see such problem of line number 259. As long as my site is working fine, I will wait for yoast to update the public version and not the development version. :)

  11. mathewmackenzie
    Member
    Posted 5 months ago #

    Same here with multiple sites I manage after WP upgrade. Everything seems to work OK though. Look forward to fix.

  12. NewYorkRob
    Member
    Posted 5 months ago #

    OMFG! I'm having such problems!

    Even after taking my Prozac! I am still getting the error message!

    Disable v. 1.4.19.
    Upload the Beta.
    Install the upgrade on the Beta!

    TaDa!! No more Prozac!

  13. jrf
    Member
    Posted 5 months ago #

    @NewYorkRob - the issue is solved in 1.4.19, the only time you will still see the message is when you upgrade the WPSEO plugin as at that time you are still using the old version, any new upgrades of themes and plugins (after the WPSEO update) should not give the error message.

    (Edit: made bold for new visitors to this thread to quickly find this answer)

  14. nickda
    Member
    Posted 5 months ago #

    It seems a lot of people are seeing the same issue. I updated a few days ago, and just updated with their latest version this morning, and again got the error message.

    I'm not sure if this error is affecting my site negatively, doesn't appear so, but hope the next update fixes this soon.

  15. dominolady
    Member
    Posted 4 months ago #

    Warning: Missing argument 3 for wpseo_upgrader_process_complete() in /home/USERACCOUNT/public_html/wp-content/plugins/wordpress-seo/inc/wpseo-non-ajax-functions.php on line 259

    I got this error on my previous update. I had confidence that it would be fixed shortly, but no, I updated today and see the same error. I have downloaded the latest version to my computer and I will search for the file in question to compare it with what I have installed and if they are different, I plan to replace my screwy file with a new one. I only hope I don't break something else in the process. Since it took so long to find this particular thread (silly me, I tried the Yoast site first) I was truly expecting to find a fix here and I don't see one. :(
    Edited to add, the new version I got today is 1.4.19

  16. jrf
    Member
    Posted 4 months ago #

    @dominolady, silly you indeed as only two messages above yours you'll see that the issue *is* solved and why you still got the warning message when upgrading.

Reply

You must log in to post.

About this Plugin

About this Topic